Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.security.providers.realmadapter
Interface RealmAdapterAuthorizerMBean

All Superinterfaces:
  AuthorizerMBean, weblogic.descriptor.DescriptorBean, ProviderMBean, weblogic.descriptor.SettableBean, weblogic.management.commo.StandardInterface

public interface RealmAdapterAuthorizerMBean
extends weblogic.management.commo.StandardInterface, weblogic.descriptor.DescriptorBean, AuthorizerMBean

The MBean for the Realm Adapter Authorization provider. This provider can only be configured in the Compatibility realm.Deprecation of MBeanHome and Type-Safe InterfacesThis is a type-safe interface for a WebLogic Server MBean, which you can import into your client classes and access through weblogic.management.MBeanHome. As of 9.0, the MBeanHome interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, client classes that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the javax.management.MBeanServerConnection interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`String` | `getDescription()` A short description of the Realm Adapter Authorization provider.
`String` | `getProviderClassName()` The name of the Realm Adapter Authorization provider.
`String` | `getVersion()` The version of the Realm Adapter Authorization provider.
`Boolean` | `getWLSUserPrincipalAllowed()` Specifies whether to honor WLSUserImpl Principals in the Subject during authorization.
`void` | `setWLSUserPrincipalAllowed(Boolean newValue)` Specifies whether to honor WLSUserImpl Principals in the Subject during authorization.

Methods inherited from interface weblogic.management.commo.StandardInterface
`setName, wls_getDisplayName, wls_getInterfaceClassName, wls_getObjectName`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Methods inherited from interface weblogic.descriptor.SettableBean
`isSet, unSet`

Methods inherited from interface weblogic.management.security.ProviderMBean
`getRealm`

Method Detail

### getDescription

    public String getDescription()

  A short description of the Realm Adapter Authorization provider.

  Specified by:
    `getDescription` in interface `ProviderMBean`
  Default value:
    "Realm Adapter for Authorization"
  A dynamic MBean attribute.
    false
  A non-configurable MBean attribute.

### getProviderClassName

    public String getProviderClassName()

  The name of the Realm Adapter Authorization provider.

  Specified by:
    `getProviderClassName` in interface `ProviderMBean`
  Default value:
    "weblogic.security.providers.realmadapter.AuthorizationProviderImpl"
  A dynamic MBean attribute.
    false
  A non-configurable MBean attribute.
  Excluded: Should not appear in public javadocs
  Internal: Should not appear in public javadocs

### getVersion

    public String getVersion()

  The version of the Realm Adapter Authorization provider.

  Specified by:
    `getVersion` in interface `ProviderMBean`
  Default value:
    "1.0"
  A dynamic MBean attribute.
    false
  A non-configurable MBean attribute.

### getWLSUserPrincipalAllowed

    public Boolean getWLSUserPrincipalAllowed()

  Specifies whether to honor WLSUserImpl Principals in the Subject during authorization.

  Default value:
    new Boolean(false)
  A dynamic MBean attribute.
    false

### setWLSUserPrincipalAllowed

    public void setWLSUserPrincipalAllowed(Boolean newValue)
                                    throws InvalidAttributeValueException

  Specifies whether to honor WLSUserImpl Principals in the Subject during authorization.

  Parameters:
    `newValue` - - new value for attribute WLSUserPrincipalAllowed
  Throws:
    `InvalidAttributeValueException`
  Default value:
    new Boolean(false)
  A dynamic MBean attribute.
    false

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD